Subject: [FIWARE-JIRA] (HELP-12992) [Fiware-tech-help] Problem sending a CEP-Proton event to FIWARE ORION Context BRoker
From: "FW External User (JIRA)" <[email-masked]>
To: [email-masked]
Date: Tue, 26 Dec 2017 22:36:06 +0000 (GMT)

[ https://jira.fiware.org/browse/HELP-12992?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel ]

FW External User updated HELP-12992:
------------------------------------
    Attachment: [FIWARE-JIRA] (HELP-12992) [Fiware-general-help] [SPAM] [FIWARE-JIRA] (HELP-13082) [SPAM] Website Job Application

Comment by [email-masked] : 

Spam detection software, running on the system "fiware-forge-01", has
identified this incoming email as possible spam.  The original message
has been attached to this so you can view it (if it isn't spam) or label
similar future email.  If you have any questions, see
the administrator of that system for details.

Content preview:  [ https://jira.fiware.org/browse/HELP-12992?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
   ] FW External User updated HELP-12992: > [Fiware-general-help] [SPAM] [FIWARE-JIRA]
   (HELP-13082) [SPAM] Website Job Application > > > Key: HELP-12992 > URL:
  https://jira.fiware.org/browse/HELP-12992 > Project: Help-Desk > Issue Type:
   extRequest > Reporter: FW External User > Attachments: [FIWARE-JIRA] (HELP-13082)
   [Fiware-general-help] [SPAM] Website Job Application > > > Spam detection
   software, running on the system "fiware-forge-01", has > identified this
  incoming email as possible spam. The original message > has been attached
  to this so you can view it (if it isn't spam) or label > similar future email.
   If you have any questions, see > the administrator of that system for details.
   > Content preview: [ https://jira.fiware.org/browse/HELP-13082?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
   > ] FW External User updated HELP-13082: Attachment: [FIWARE-JIRA] (HELP-13082)
   > [Fiware-general-help] [SPAM] Website Job Application [...] > Content analysis
   details: (6.1 points, 4.5 required) > pts rule name description > ---- >
  1.7 URIBL_BLACK Contains an URL listed in the URIBL blacklist > [URIs: latedeliver.com]
   > 2.5 URIBL_DBL_SPAM Contains a spam URL listed in the DBL blocklist > [URIs:
   latedeliver.com] > 0.0 FSL_HELO_NON_FQDN_1 FSL_HELO_NON_FQDN_1 > 3.8 HELO_LOCALHOST
   HELO_LOCALHOST > -1.9 BAYES_00 BODY: Bayes spam probability is 0 to 1% >
  [score: 0.0000] > > You can get more information about our cookies and privacy
   policies on the following links: > - http://forge.fiware.org/plugins/mediawiki/wiki/fiware/index.php/FIWARE_Privacy_Policy
   > - http://forge.fiware.org/plugins/mediawiki/wiki/fiware/index.php/Cookies_Policy_FIWARE
   > Fiware-general-help mailing list > [email-masked]
   > https://lists.fiware.org/listinfo/fiware-general-help > [Created via e-mail
   received [...] 

Content analysis details:   (6.9 points, 4.5 required)

 pts rule name              description
---- ---------------------- --------------------------------------------------
 1.7 URIBL_BLACK            Contains an URL listed in the URIBL blacklist
                            [URIs: latedeliver.com]
 2.5 URIBL_DBL_SPAM         Contains a spam URL listed in the DBL blocklist
                            [URIs: latedeliver.com]
 0.0 FSL_HELO_NON_FQDN_1    FSL_HELO_NON_FQDN_1
 3.8 HELO_LOCALHOST         HELO_LOCALHOST
-1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                            [score: 0.0000]
 0.8 RDNS_NONE              Delivered to internal network by a host with no rDNS

> [Fiware-tech-help] Problem sending a CEP-Proton event to FIWARE ORION Context BRoker
> ------------------------------------------------------------------------------------
>
>                 Key: HELP-12992
>                 URL: https://jira.fiware.org/browse/HELP-12992
>             Project: Help-Desk
>          Issue Type: extRequest
>          Components: FIWARE-TECH-HELP
>            Reporter: FW External User
>            Assignee: Fabiana Fournier
>         Attachments: [FIWARE-JIRA] (HELP-12992) [Fiware-general-help] [SPAM] [FIWARE-JIRA] (HELP-13082) [SPAM] Website Job Application, image002_01D3686C83022970.jpg, image002_01D3686C83022970.jpg, w4t (2).json
>
>
> Dear all,
> I have installed a CEP-PROTON  instance and I am trying to configure it to
> receive and send events from/to an ORION context broker instance. I have
> configured on ORION a subscription to notify an event to CEP and it works
> properly, but I have a problem to send an event to ORION.
> When I receive the event from ORION I have configured a consumer (following
> the documentation) to send the event to an entity on ORION but it does not
> work
>  
> Here the  Proton LOG 
>  
> INFO: routeTimedObject: forwarding event KPIWasteContainer; entityType=KPI;
> Certainty=0.0; Duration=0.0; entityId=KPI:PRUEBA; ExpirationTime=null;
> Cost=0.0; Annotation=; Name=KPIWasteContainer; OccurrenceTime=1511871926381;
> result=1450.0; EventSource=; EventId=56250546-f321-4c4c-b4ab-bfc18d2697da;
> DetectionTime=1511871926381; Chronon=null;  to consumer...
> Nov 28, 2017 12:25:26 PM
> com.ibm.hrl.proton.server.executorServices.SimpleThreadFactory$ProtonExcepti
> onHandler uncaughtException
> SEVERE: Uncaught exception in thread: Thread[2,5,main],exception:
> com.ibm.hrl.proton.adapters.rest.client.RESTException:
> com.ibm.hrl.proton.adapters.rest.client.RESTException: Could not perform
> POST of event instance:
> {"OccurrenceTime":"28\/11\/2017-12:25:26","result":"1450.0","EventSource":""
> ,"entityType":"KPI","Certainty":"0.0","EventId":"56250546-f321-4c4c-b4ab-bfc
> 18d2697da","DetectionTime":"28\/11\/2017-12:25:26","Duration":"0.0","entityI
> d":"KPI:PRUEBA","Cost":"0.0","Annotation":"","Name":"KPIWasteContainer"}
> with request headers:
> Content-Type: application/json
>  
> User-Agent: Jakarta Commons-HttpClient/3.0
>  
> Host: 130.206.117.164
>  
> Content-Length: 300
>  
> to consumer http://130.206.117.164/v2/entities, responce result: 400
>  
>  
> Here the Orion log 
> time=2017-11-28T12:22:33.711Z | lvl=INFO |
> corr=cfc3807a-d436-11e7-9e79-fa163eab214f | trans=1511363186-603-00000000206
> | from=pending | srv=pending | subsrv=pending | comp=Orion |
> op=logMsg.h[1808]:lmTransactionStart | msg=Starting transaction from
> 192.168.240.127:60684/v2/entities
> time=2017-11-28T12:22:33.711Z | lvl=WARN |
> corr=cfc3807a-d436-11e7-9e79-fa163eab214f | trans=1511363186-603-00000000206
> | from=130.206.122.186 | srv=pending | subsrv=<default> | comp=Orion |
> op=AlarmManager.cpp[405]:badInput | msg=Raising alarm BadInput
> 192.168.240.127: No entity id specified
> time=2017-11-28T12:22:33.711Z | lvl=INFO |
> corr=cfc3807a-d436-11e7-9e79-fa163eab214f | trans=1511363186-603-00000000206
> | from=130.206.122.186 | srv=pending | subsrv=<default> | comp=Orion |
> op=logMsg.h[1892]:lmTransactionEnd | msg=Transaction ended
>  
>  
> It seems that PROTON does not create correctly the rest call to ORION.
> I have followed the documentation and in particular the Appendix A:
> Integration with NGSI in the FIWARE project "Integration with Context Broker
> JSON Format" and I do not know what I am doing wrong..
> I have updated PROTON with the last versions of the WAR files.
>  
> Find attached the screenshoot of my consumer config and the json file with
> my project on PROTON.
>  
> I hope you can help me .
> Thanks in advance.
> Best regards,
> Dario Pellegrino
>  
>  
> Dario Pellegrino
> Direzione Ricerca e Innovazione - R&D Lab
>  <mailto:[email-masked]> [email-masked]
> Engineering Ingegneria Informatica spa
> Viale Regione Siciliana, 7275 - 90146 Palermo(Italy)
> Phone:  +39-091.7511864
> Mobile: +39-392.4674892
> Twitter: @DPellegrino73
>  <http://www.eng.it/> www.eng.it 
>  
>  
>  
>  
> __________________________________________________________________________________________
> You can get more information about our cookies and privacy policies on the following links:
> - http://forge.fiware.org/plugins/mediawiki/wiki/fiware/index.php/FIWARE_Privacy_Policy
> - http://forge.fiware.org/plugins/mediawiki/wiki/fiware/index.php/Cookies_Policy_FIWARE
> Fiware-tech-help mailing list
> [email-masked]
> https://lists.fiware.org/listinfo/fiware-tech-help
> [Created via e-mail received from: Dario Pellegrino <[email-masked]>]

--
This message was sent by Atlassian JIRA
(v6.4.1#64016)